[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Eclipse 3.0 Running ILLEGALY on Kaffe

Måns Rullgård <mru@inprovide.com> writes:

> The Eclipse authors do not tell you which JVM to use.

But Debian does, when it says:
Depends: j2re1.4 | j2re1.3 | java2-runtime

So the eclipse-platform distributed by Debian *does* call on a
particular JVM.  And it isn't kaffe, it's Sun's.  We do document the
technical fact that you can programatically substitute kaffe for any

> It is compiled against an interface, not an implementation.  Which
> particular implementation was used while compiling is irrelevant.

Can you support this assertion?  The program, including its libraries,
which the developer intends to put on end-user systems appears quite
relevant to me.


Brian Sniffen                                       bts@alum.mit.edu

Reply to: